<script lang="ts" setup>
import { type Ref, inject } from 'vue'
import { useReceiptStore } from '@/stores/receipt'
import ReceiptDialog from './ReceiptDialog.vue'
const receiptStore = useReceiptStore()
const showReceipt = function () {
  receiptStore.showReceiptDialog()
}

const clearReceipt = function () {
  receiptStore.clear()
}
const qrcodedialog = inject<Ref<boolean>>('QrcodeDialog')
</script>
<template>
  <v-row justify="center">
    <v-dialog v-model="qrcodedialog" persistent width="240">
      <v-card style="text-align: center">
        <img
          src="https://cdn.britannica.com/17/155017-050-9AC96FC8/Example-QR-code.jpg"
          alt="QR Code Image"
        />
        Docdance Coffee
        <br />
        Please scan this QR CODE
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="blue-darken-1" variant="text" @click="qrcodedialog = false"> Cancel </v-btn>
          <v-btn
            color="blue-darken-1"
            variant="text"
            @click="showReceipt(), (qrcodedialog = false)"
          >
            Payment successful
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
  <ReceiptDialog></ReceiptDialog>
</template>
